import { t as e } from "./_plugin-vue_export-helper-B3ysoDQm.js";
import { l as t, o as n } from "./enums-De8CDKZ1.js";
import { computed as r, createBlock as i, createCommentVNode as a, createElementBlock as o, createElementVNode as s, normalizeClass as c, openBlock as l, ref as u, renderSlot as d, resolveComponent as f, unref as p } from "vue";
//#region src/components/wt-dual-panel/wt-dual-panel.vue
var m = { class: "wt-dual-panel" }, h = {
	key: 0,
	class: "wt-dual-panel__header"
}, g = {
	key: 1,
	class: "wt-dual-panel__actions-panel"
}, _ = { class: "wt-dual-panel__content" }, v = { class: "wt-dual-panel__main" }, y = /*#__PURE__*/ e({
	__name: "wt-dual-panel",
	props: {
		hideHeader: {
			type: Boolean,
			default: !1
		},
		actionsPanel: {
			type: Boolean,
			default: !0
		},
		disableResize: {
			type: Boolean,
			default: !1
		}
	},
	emits: ["update:side-panel-size"],
	setup(e, { emit: y }) {
		let b = y, x = u(!1), S = () => {
			x.value = !x.value, b("update:side-panel-size", C.value);
		}, C = r(() => x.value ? t.SM : t.MD);
		return (t, r) => {
			let u = f("wt-icon-action");
			return l(), o("section", m, [
				e.hideHeader ? a("", !0) : (l(), o("div", h, [d(t.$slots, "header", {}, void 0, !0)])),
				e.actionsPanel ? (l(), o("div", g, [d(t.$slots, "actions-panel", {}, void 0, !0)])) : a("", !0),
				s("div", _, [s("div", { class: c([[`wt-dual-panel__side-panel--${C.value}`], "wt-dual-panel__side-panel"]) }, [e.disableResize ? a("", !0) : (l(), i(u, {
					key: 0,
					action: x.value ? p(n).EXPAND : p(n).COLLAPSE,
					class: "wt-dual-panel__icon-action",
					size: "sm",
					onClick: S
				}, null, 8, ["action"])), x.value ? a("", !0) : d(t.$slots, "side-panel", { key: 1 }, void 0, !0)], 2), s("div", v, [d(t.$slots, "main", {}, void 0, !0)])])
			]);
		};
	}
}, [["__scopeId", "data-v-e4059034"]]);
//#endregion
export { y as default };
